/ comp / gb.opengl / gl / loadmatrixf
Gl.LoadMatrixf (gb.opengl)
Syntax

    STATIC SUB LoadMatrixf ( Matrix AS Float[] )

### Replace the current matrix with an arbitrary matrix

#### Parameters

- Matrix specifies an array of a 4x4 matrix stored in column-major order as sixteen consecutive values.

#### Description

Gl.LoadMatrix replaces the current matrix with the one specified in Matrix. The current matrix is the projection matrix, modelview matrix, or texture matrix, determined by the current matrix mode.

Matrix points to a 4x4 matrix of floating-point values stored in column-major order. That is, the matrix is stored as follows:

### Examples

    DIM Matrix as Float[]
    .....
    ' Equivalent call to Gl.LoadIdentity()
    Matrix = [1.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 1.0]
    Gl.LoadMatrixf(Matrix)

#### Errors

Gl.GL_INVALID_OPERATION is generated if Gl.LoadMatrix is called between a call to Gl.Begin and the corresponding call to Gl.End.

#### Associated Gets

Gl.GetMatrixMode
Gl.GetModelviewMatrix
Gl.GetProjectionMatrix
Gl.GetTextureMatrix

### See also

Gl.LoadIdentity , Gl.MatrixMode , Gl.MultMatrix, Gl.PushMatrix